function [in,xx,iel,conec,fixa,vfix,f,locel,ndn,eltype,inn,indof,inel] = input1 (file)
%  function input1
% 
%  Lectura, generacin e impresin de datos nodales
%
%  in:     Nmeros de nodo
%  xx:     Tabla de coordenadas
%  iel:   Nmeros de elemento
%  conec:  Tabla de conectividades
%  fixa:   Lista de nodos fijos
%  vfix:   Valores de fijaciones
%  f:      Vector de cargas
%  locel:  Tabla de vectores de localizacin
%  eltype: Tipo de elemento
%  npe:    Nmero de nodos por elemento
%  ndn:    Nmero de grados de libertad por nodo
   
    fid = fopen(file,'rt');

%    fprintf('  Datos del anlisis \n ================== \n \n')
%    fprintf('  Lista de nodos y coordenadas\n \n')

    numnp    = fscanf(fid,'%d',1); 
    A = fscanf(fid,'%f',[4,numnp]);
    in = A(1,:)';
    xx = A(2:4,:)';


%    fprintf('  Lista de elementos y conectividades\n \n');

    numel  = fscanf(fid,'%f',1);
    eltype = fscanf(fid,'%f',1);
    if     (eltype==1) 
       ndn = 1; npe = 3;
    elseif (eltype==2)         
       ndn = 2; npe = 3;
    elseif (eltype==3)
       ndn = 2;	npe = 4;
    elseif (eltype==4)
       ndn = 2;	npe = 4;
    end
       
    A = fscanf(fid,'%f',[npe+1,numel]);
    iel  = A(1,:)';
    conec = A(2:npe+1,:)';
    
    for i=1:ndn
      locel(:,i:ndn:npe*ndn) = (conec-1)*ndn + i;
    end

    %   Genera vector inn cuya componente "i" da la posicion donde se 
    %   almacenan las coordenadas del nodo "i" en la tabla "xx"

    inn  = zeros(max(in),1);
    for i=1:length(in)
        j      = in(i);
        inn(j) = i;
    end

    %   Genera vector indof cuya componente "i" da la posicion donde se
    %   almacena el grado de libertad "i" en el ordenamiento global
    %   del problema

    indof  = zeros(max(in)*ndn,1);
    for k=1:ndn
        for i=1:length(in)
            j      = (in(i)-1)*ndn + k;
            indof(j) = (i-1)*ndn + k;
        end
    end

    %   Genera vector inel cuya componente "i" da la posicion donde se 
    %   almacenan las conectividades del elemento "i" en la tabla "conec"

    inel  = zeros(max(iel),1);
    for i=1:length(iel)
        j      = iel(i);
        inel(j) = i;
    end

   
%    fprintf('  Lista de nodos fijos\n \n');

    nfix  = fscanf(fid,'%f',1);
    A     = fscanf(fid,'%f',[3,nfix]);
    fixa  = indof((A(1,:)'-1)*ndn + A(2,:)');
    vfix  =  A(3,:);

    %    fprintf('  Lista de cargas nodales\n \n');
    
    f = zeros(numnp*ndn,1);
    nload = fscanf(fid,'%f',1);
    A = fscanf(fid,'%f',[3,nload]);
    f(indof((A(1,:)'-1)*ndn+A(2,:)')) = A(3,:)';

    return

